%define debug_package %{nil}
%define daemon_name ovmwatch

Name:      ovmwatch 
Version:   1.0 
Release: 69.el6.13.5
Summary:   System device Monitor for Oracle OVS 
License:   GPLv2
Group:     System Environment/Daemons
URL:       http://www.oracle.com/virtualization
Source:    %{name}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires:  ovs-agent >= 3.0
BuildRequires:  libuuid-devel

Patch1: dummy.patch
Patch2: ovmwatch-auto.patch
Patch3: make-spec-files.patch
Patch4: ovmapi-events.patch
Patch5: block-event.patch
Patch6: life-cycle-consolidation.patch
Patch7: dot-notation.patch
Patch8: xalogic-callout.patch
Patch9: ovmwatch-restart.patch
Patch10: restart-handling.patch
Patch11: call-out-name.patch
Patch12: parallel-shutdown.patch
Patch13: change-license-to-gplv2.patch
Patch14: domain-data.patch
Patch15: notification.patch
Patch16: ovmwatch-xen-4.1.2.patch
Patch17: clean-logs.patch
Patch18: fix-agent-notification-module-path.patch
Patch19: las-read-entry.patch
Patch20: ovmwatch-time-stamp.patch
Patch21: wrong-dom-uuid.patch
Patch22: remove-reload-op.patch
Patch23: ol6-port.patch
Patch24: missing-vm-notification.patch
Patch25: rev447.patch
Patch26: ovmwach-vms.patch
Patch27: rev509.patch
Patch28: fix-print.patch
Patch29: vm_call_out.patch
# End Oracle Patches

%description
ovmwatch daemon for Oracle OVS. Watch for VM life cycle and other VM
events,notify the manager via agent notifier.


%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0
%patch21 -p0
%patch22 -p0
%patch23 -p0
%patch24 -p0
%patch25 -p0
%patch26 -p0
%patch27 -p0
%patch28 -p0
%patch29 -p0


%build
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
make DESTDIR=${RPM_BUILD_ROOT} 
install --mode=755 init.d/ovmwatch ${RPM_BUILD_ROOT}/etc/init.d/ovmwatch
install --mode=755 ovmwatch ${RPM_BUILD_ROOT}/usr/bin/ovmwatch
mkdir -p ${RPM_BUILD_ROOT}/opt/ovs-extra


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if [ $1 = 1 ]; then
   /sbin/chkconfig --add %{daemon_name}
   if [ $? == 0 ]; then
        /sbin/chkconfig --level 35 %{daemon_name} on
   fi
fi

%preun
if [ $1 = 0 ]; then
   /sbin/service %{daemon_name} stop > /dev/null 2>&1
   /sbin/chkconfig --del %{daemon_name}
fi

%postun
/sbin/ldconfig
if [ $1 -ge 1 ]; then
   /sbin/service %{daemon_name} condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc COPYING
/etc/init.d/ovmwatch
/usr/bin/ovmwatch
%dir /opt/ovs-extra


%changelog
* Tue Mar 31 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.13.5
- Rebuild due to xen update 

* Tue Mar 17 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.13.4
- Rebuild due to kernel and xen update 

* Thu Jan 29 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.13.3
- Rebuild due to kernel update 

* Wed Jan 21 2015 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-69.el6.13.2 
- OVMWATCH now calls vm_event_callout twice once on xm start event, and once on OVMAPI event.
  On xm start it send "DOMAIN UUID START". On OVMAPI it sends "DOMAIN UUID BOOTED". [bug 20087455]  

* Wed Jan 14 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.13.1
- Rebuild due to xen update 

* Tue Dec 23 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.13
- Rebuild due to kernel update 

* Sun Dec 14 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.12
- Rebuild due to xen update 

* Fri Dec 05 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.11
- Rebuild due to xen update 

* Thu Dec 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.10
- Rebuild due to kernel update 

* Wed Dec 03 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.9
- Rebuild due to xen update 

* Thu Oct 23 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.8
- Rebuild due to xen update 

* Mon Sep 15 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.7
- Rebuild due to xen update 

* Fri Sep 12 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.6
- Rebuild due to xen update 

* Thu Sep 11 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.5
- Rebuild due to xen update 

* Thu Sep 11 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.4
- Rebuild due to xen update 

* Fri Sep 05 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.3
- Rebuild due to xen update 

* Fri Aug 29 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.2
- Rebuild due to xen update 

* Wed Jul 30 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6.1
- Rebuild due to xen update 

* Wed May 14 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6
- Rebuild due to xen update 

* Mon May 12 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-68.el6
- Rebuild due to kernel update 

* Fri May 02 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-67.el6
- Rebuild due to xen update 

* Mon Apr 28 2014 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-66 
- Fix printing of uninitialized variable in error log [bug 18671433]  

* Fri Apr 11 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-65.el6
- Rebuild due to xen update 

* Thu Apr 10 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-64.el6
- Rebuild due to xen update 

* Fri Apr 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-63.el6
- Rebuild due to xen update 

* Fri Apr 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-62.el6
- Rebuild due to xen update 

* Thu Apr 03 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-61.el6
- Rebuild due to xen update 

* Fri Mar 28 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-60.el6
- Rebuild due to xen update 

* Mon Mar 10 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-59.el6
- Rebuild due to xen update 

* Fri Feb 28 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-58.el6
- Rebuild due to xen update 

* Thu Feb 27 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-57.el6
- Rebuild due to kernel update 

* Mon Feb 17 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-56.el6
- Rebuild due to xen update 

* Fri Feb 14 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-55.el6
- Rebuild due to xen update 

* Wed Jan 29 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-54.el6
- Rebuild due to xen update 

* Tue Jan 28 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-53.el6
- Rebuild due to kernel update 

* Wed Jan 22 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-52.el6
- Rebuild due to xen update 

* Fri Jan 17 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-51.el6
- Rebuild due to xen update 

* Mon Jan 13 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-50.el6
- Rebuild due to xen update 

* Thu Jan 09 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-49.el6
- Rebuild due to kernel update 

* Wed Jan 08 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-48.el6
- Rebuild due to xen update 

* Thu Jan 02 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-47.el6
- Rebuild due to xen update 

* Mon Dec 23 2013 Tianyue Lan <tianyue.lan@oracle.com> 1.0-46.el6
- Rebuild with el6 dist

* Tue Dec 17 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-45
- Rebuild due to kernel update 

* Mon Dec 16 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-44
- Rebuild due to kernel and xen update 

* Wed Dec 11 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-43
- Rebuild due to xen update 

* Wed Dec 11 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-42 
- Fix copyright year.
  Patch generated by:
  $ find . -path ./.svn -prune -o -type f -exec sed -i "s/Copyright (C) .* Oracle./Copyright (C) 2011-2014 Oracle./g" '{}' ;
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Dec 10 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-41
- Rebuild due to xen update 

* Wed Dec 04 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-40
- Rebuild due to kernel and xen update 

* Mon Nov 25 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-39
- Rebuild due to xen update 

* Wed Nov 20 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-38 
- Increase the number of VMs that ovmwatch can handle to 512. [bug 17824625]  

* Thu Nov 07 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-37
- Rebuild due to kernel update 

* Tue Nov 05 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-36
- Rebuild due to xen update 

* Fri Oct 25 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-35
- Rebuild due to xen update 

* Wed Oct 23 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-34
- Rebuild due to kernel update 

* Mon Oct 21 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-33
- Rebuild due to xen update 

* Fri Oct 11 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-32
- Rebuild due to xen update 

* Fri Oct 11 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-31 
- xs.h is renamed to xenstore.h in xen-4.3 

* Fri Oct 11 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-30
- Rebuild due to xen update 

* Wed Oct 02 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-29
- Rebuild due to kernel update 

* Tue Sep 24 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-28
- Rebuild due to xen update 

* Fri Sep 20 2013 Shu Li <shu.li@oracle.com> 1.0-27
- Rebuild due to kernel update 

* Thu Sep 19 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-26 
- Made changes to speed up catching introduce domain events, and changed
  the hyper call to get all VMs at once instead of on at a time. [bug 17417834]  

* Thu Sep 12 2013 Shu Li <shu.li@oracle.com> 1.0-25
- Rebuild due to kernel update 

* Tue Sep 03 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-24 
- Fixed a seg fault while running in ol6, made changes to python 2.6 

* Wed Jul 24 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-23 
- Removed ovmwatch reload option, it is not needed. [bug 17181437]  

* Tue Jul 16 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-22 
- Re-wrote the introduce domain detect code to avoid a rare condition where xend sends an extra introduce
  event for a dying domain, which caused ovmwacth to report the wrong UUID. [bug 16453997]  

* Mon Jun 24 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-21 
- Implement time stamp to OVMWATCH messages [bug 16462516]  

* Fri May 11 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-20 
- Change OVM watch to search all xenstore entries for "last_read" before giving up.This to cover the case
  of VM suspend/resume where the "last_read" entry get removed. [bug 13961417] 

* Wed Apr 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-19 
- fix agent notification module path.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Mar 28 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-18 
- Make logs error consistent,and shorten the logs [bug 13044663] 

* Mon Feb 20 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-17 
- port to xen-4.1.2 

* Thu Dec 15 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-16
- fix notification for agent refactor

* Mon Jul 25 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-15 
- Occasionally domain data is removed from the hypervisor before
  OVMWATCH gets domain release event from xend, causing OVMWATCh to miss
  the domain. This checking fixes this race. [bug 12341106] 

* Tue Jul 12 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-14 
- change license to gplv2
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri Jul 01 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-13 
- Changed OVMWATCH to handle xend events timing and race conditions caused by shutting
  down  multiple VMs in parallel. [bug 12341106] 

* Fri Apr  1 2011 Kevin Lyons <kevin.x.lyons@oracle.com> - 1.0-12 
- Merge changes to spec file that were part of xalogic patch

* Thu Mar 31 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-11 
- changed event call out function name to vm_event_callout 

* Fri Mar 18 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-10 
- More ovmwatch restart handling. 

* Thu Mar 17 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-9 
- Fixed a potential bug that may show up  if ovmwatch restarted while there are guest
  running on the server.
  Oracl-Bug:11882600 

* Wed Mar 16 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-8 
- Add functionality to  call xalogic function to report VM life cycle. This call
  done via an independent process so that exits, and long running xalogic
  functions do not effect vmwatch 

* Mon Jan 10 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-7 
- changes to support the "dot notation" in key for OVMAPI [bug 10629293] 

* Fri Dec 03 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-6 
- Consolidate VM life cycle events, removed registration of VM Last_shut-down.
  Redesigned VM introduce, release callbacks. General clean-up. 

* Fri Oct 01 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-5 
- Block infinitely for VM event. 

* Tue Sep 28 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-4 
- Add code to handle OVMPI events. un-register last shut down reason when a
  domain gets destroyed,and general clean up. 

* Tue Sep 21 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-3 
- Apply patch to make/spec files to satisfy the patch. 

* Mon Sep 20 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-2 
- Start ovmwatch automatically at boot time. 

* Thu Sep 16 2010 Adnan Misherfi <adnan.misherfi@oracle.com>
- initial ovmwatch spec file
